Loading...
Searching...
No Matches
xccdf_override Struct Reference
XCCDF

XCCDF override. More...

`#include <xccdf_benchmark.h>`

Collaboration diagram for xccdf_override:
[legend]

## Public Member Functions

OSCAP_API struct xccdf_override * | xccdf_override_new (void)
OSCAP_API struct xccdf_override * | xccdf_override_clone (const struct xccdf_override *override)
OSCAP_API void | xccdf_override_free (struct xccdf_override *oride)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API const char * | xccdf_override_get_time (const struct xccdf_override *item)
OSCAP_API xccdf_test_result_type_t | xccdf_override_get_new_result (const struct xccdf_override *item)
OSCAP_API xccdf_test_result_type_t | xccdf_override_get_old_result (const struct xccdf_override *item)
OSCAP_API const char * | xccdf_override_get_authority (const struct xccdf_override *item)
OSCAP_API struct oscap_text * | xccdf_override_get_remark (const struct xccdf_override *item)
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | xccdf_override_set_time (struct xccdf_override *obj, const char *newval)
OSCAP_API bool | xccdf_override_set_new_result (struct xccdf_override *obj, xccdf_test_result_type_t newval)
OSCAP_API bool | xccdf_override_set_old_result (struct xccdf_override *obj, xccdf_test_result_type_t newval)
OSCAP_API bool | xccdf_override_set_authority (struct xccdf_override *obj, const char *newval)
OSCAP_API bool | xccdf_override_set_remark (struct xccdf_override *obj, struct oscap_text *newval)

## Data Fields

char * | time
char * | authority
xccdf_test_result_type_t | old_result
xccdf_test_result_type_t | new_result
struct oscap_text * | remark

## Detailed Description

XCCDF override.

See also
  xccdf_rule_result

The documentation for this struct was generated from the following files:

- item.h
- xccdf_benchmark.h